<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Staff_model extends CI_Model
{

    public $table = 'staff';
    public $id = 'nip';
    public $order = 'DESC';

    function __construct()
    {
        parent::__construct();
    }

    // get all
    function get_all()
    {
        $this->db->order_by($this->table.'.'.$this->id, $this->order);
        return $this->db->get($this->table)->result();
    }

    // get data by id
    function get_by_id($id)
    {
        $this->db->where($this->table.'.'.$this->id, $id);
        return $this->db->get($this->table)->row();
    }
    
    // get total rows
    function total_rows($q = NULL) {
        $this->db->like('nip', $q);
	$this->db->or_like($this->table.'.nama_staff', $q);
	$this->db->or_like($this->table.'.bagian', $q);
	$this->db->or_like($this->table.'.foto', $q);
	$this->db->or_like($this->table.'.alamat', $q);
	$this->db->or_like($this->table.'.username', $q);
	$this->db->or_like($this->table.'.password', $q);
	$this->db->or_like($this->table.'.hak_akses', $q);
	$this->db->from($this->table);
        return $this->db->count_all_results();
    }

    // get data with limit and search
    function get_limit_data($limit, $start = 0, $q = NULL) {
        $this->db->order_by($this->table.'.'.$this->id, $this->order);
        $this->db->like('nip', $q);
	$this->db->or_like($this->table.'.nama_staff', $q);
	$this->db->or_like($this->table.'.bagian', $q);
	$this->db->or_like($this->table.'.foto', $q);
	$this->db->or_like($this->table.'.alamat', $q);
	$this->db->or_like($this->table.'.username', $q);
	$this->db->or_like($this->table.'.password', $q);
	$this->db->or_like($this->table.'.hak_akses', $q);
	$this->db->limit($limit, $start);
        return $this->db->get($this->table)->result();
    }

	function cek_login($username, $password)
	{
		$this->db->where($this->table.'.username', $username);
		$this->db->where($this->table.'.password', $password);
		$data = $this->db->get($this->table)->row();
		if($data){
			$newdata = array(
				'nip' => $data->nip,
				'nama' => $data->nama_staff,
				'bagian' => $data->bagian,
				'foto' => $data->foto,
				'hak_akses' => $data->hak_akses,
				'logged_in' =>true,
			);
			$this->session->set_userdata($newdata);
			return true;
		}else{
			return false;
		}

	}

    // insert data
    function insert($data)
    {
        $this->db->insert($this->table, $data);
    }

    // update data
    function update($id, $data)
    {
        $this->db->where($this->table.'.'.$this->id, $id);
        $this->db->update($this->table, $data);
    }

    // delete data
    function delete($id)
    {
        $this->db->where($this->table.'.'.$this->id, $id);
        $this->db->delete($this->table);
    }

}

/* End of file Staff_model.php */
/* Location: ./application/models/Staff_model.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2017-07-02 16:46:00 */
/* http://harviacode.com */